// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include <memory>

using std::shared_ptr;

namespace Sourcify
{	
	class ISCW_FSimpleMemberReference
	{
	public:
		virtual ~ISCW_FSimpleMemberReference() = default;

		virtual bool ISCW_Equals(shared_ptr<const ISCW_FSimpleMemberReference> Other) const = 0;

		virtual shared_ptr<ISCW_FSimpleMemberReference> ToFSimpleMemberReferencePtr() = 0;
		virtual shared_ptr<const ISCW_FSimpleMemberReference> ToFSimpleMemberReferencePtr() const = 0;
	};

	using ISCW_FSimpleMemberReferenceConstPtr = shared_ptr<const ISCW_FSimpleMemberReference>;
	using ISCW_FSimpleMemberReferencePtr = shared_ptr<ISCW_FSimpleMemberReference>;
} // namespace Sourcify